SOGo | BTS

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004301SOGoWeb Address Bookpublic2017-09-28 10:112019-02-21 13:49
Reporternenonano 
Assigned Toludovic 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platform[Server] LinuxOSRHEL/CentOSOS Version6
Product Version3.2.10 
Target VersionFixed in Version4.0.6 
Summary0004301: Changes in a contact member of a group are not propagated
Descriptionif you edit a contact (for example change the displayed name) that belongs to a group and then use the group as email recipient, when group is expanded the displayed name is not changed
Steps To Reproducecreate a contact, display name "john doe", email "jond@doe.com"
then create a group "test"
make john doe a member of your group
try to write a mail using test group as mail recipient, you'll see "john doe"
now edit the contact, setting display as "Mr John Doe", save your editings
try to write a mail using test group as mail recipient, you'll still see "john doe"

it is reproducible with email addresses too

if you use the contact directly there's no problem at all
TagsNo tags attached.
Attached Filespng file icon test1.png [^] (32,711 bytes) 2017-09-28 10:32


png file icon test2.png [^] (29,255 bytes) 2017-09-28 10:33


png file icon test3.png [^] (37,668 bytes) 2017-09-28 10:33


png file icon test4.png [^] (23,957 bytes) 2017-09-28 10:33


png file icon test5.png [^] (29,096 bytes) 2017-09-28 10:34

- Relationships Relation Graph ] Dependency Graph ]
duplicate of 0000850resolvedludovic Changes on card should reported on list 

-  Notes
(0012336)
nenonano (reporter)
2017-09-28 11:01

I see that this is a duplicate of 850, created 7 years ago.. any possibility to see it solved?
Thank you

- Related Changesets
sogo: master 7c3df9f6
Timestamp: 2019-02-18 15:27:34
Author: ludovic
Details ] Diff ]
(fix) changes to contacts are now propagated to lists (fixes 0000850, 0004301, 0004617)
mod - NEWS Diff ] File ]
mod - SOPE/NGCards/NGVCardReference.m Diff ] File ]
mod - SOPE/NGCards/NGVList.h Diff ] File ]
mod - SOPE/NGCards/NGVList.m Diff ] File ]
mod - SoObjects/Contacts/SOGoContactGCSEntry.m Diff ] File ]
mod - SoObjects/Contacts/SOGoContactGCSFolder.m Diff ] File ]
mod - SoObjects/Contacts/SOGoContactGCSList.m Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-28 10:11 nenonano New Issue
2017-09-28 10:32 nenonano File Added: test1.png
2017-09-28 10:33 nenonano File Added: test2.png
2017-09-28 10:33 nenonano File Added: test3.png
2017-09-28 10:33 nenonano File Added: test4.png
2017-09-28 10:34 nenonano File Added: test5.png
2017-09-28 10:55 francis Relationship added duplicate of 0000850
2017-09-28 11:01 nenonano Note Added: 0012336
2019-02-18 15:30 ludovic Changeset attached => sogo master 7c3df9f6
2019-02-18 15:30 ludovic Assigned To => ludovic
2019-02-18 15:30 ludovic Resolution open => fixed
2019-02-21 13:49 francis Status new => resolved
2019-02-21 13:49 francis Fixed in Version => 4.0.6


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker